<?php


if ( function_exists( 'acf_add_local_field_group' ) ):
    add_action( 'after_setup_theme' , function () {
        if( function_exists('acf_add_local_field_group') ):

            acf_add_local_field_group(array(
                'key' => 'group_5e2c85d5352c2',
                'title' => 'Avetar Picture',
                'fields' => array(
                    array(
                        'key' => 'field_5e2c865aa0d92',
                        'label' => 'Avetar Profile Picture',
                        'name' => 'avetar_img_profile',
                        'type' => 'image',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'return_format' => 'id',
                        'preview_size' => 'thumbnail',
                        'library' => 'all',
                        'min_width' => '',
                        'min_height' => '',
                        'min_size' => '',
                        'max_width' => '',
                        'max_height' => '',
                        'max_size' => '',
                        'mime_types' => '',
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'user_form',
                            'operator' => '==',
                            'value' => 'all',
                        ),
                    ),
                ),
                'menu_order' => 0,
                'position' => 'acf_after_title',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'field',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e4ad8875c2eb',
                'title' => 'Block Map',
                'fields' => array(
                    array(
                        'key' => 'field_5e4ad88e2b1ad',
                        'label' => 'Map',
                        'name' => 'map',
                        'type' => 'google_map',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'center_lat' => '',
                        'center_lng' => '',
                        'zoom' => '',
                        'height' => '',
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/dsnmap',
                        ),
                    ),
                ),
                'menu_order' => 0,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5ebebe9c2848a',
                'title' => 'Footer Setting',
                'fields' => array(
                    array(
                        'key' => 'field_5ebebeb6a7db7',
                        'label' => 'Select footer Show',
                        'name' => 'footer_show',
                        'type' => 'radio',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'hide' => 'Hide',
                            'normal' => 'Footer Normal Static',
                            'normal-widget' => 'Footer Normal Widget',
                            'feature' => 'Footer Feature Widget',
                        ),
                        'allow_null' => 0,
                        'other_choice' => 0,
                        'default_value' => 'normal',
                        'layout' => 'vertical',
                        'return_format' => 'value',
                        'save_other_choice' => 0,
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'post_type',
                            'operator' => '==',
                            'value' => 'post',
                        ),
                    ),
                    array(
                        array(
                            'param' => 'post_type',
                            'operator' => '==',
                            'value' => 'page',
                        ),
                    ),
                    array(
                        array(
                            'param' => 'post_type',
                            'operator' => '==',
                            'value' => 'droow-portfolio',
                        ),
                    ),
                ),
                'menu_order' => 0,
                'position' => 'side',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5d277c4736814',
                'title' => 'Options Pages',
                'fields' => array(
                    array(
                        'key' => 'field_5d277d7783e23',
                        'label' => 'Banner & Title Area',
                        'name' => '',
                        'type' => 'tab',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'placement' => 'left',
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5d7816181c1b8',
                        'label' => 'Type Nav',
                        'name' => 'menu_type',
                        'type' => 'radio',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'hamburger-menu' => 'Hamburger Menu',
                            'Classic-menu' => 'Classic Menu',
                        ),
                        'allow_null' => 0,
                        'other_choice' => 0,
                        'default_value' => 'hamburger-menu',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                        'save_other_choice' => 0,
                    ),
                    array(
                        'key' => 'field_5d2781b83ad7c',
                        'label' => 'Header Type Page',
                        'name' => 'header_type',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'post' => 'Header With Image',
                            'normal' => 'Normal Header',
                            'none' => 'None',
                        ),
                        'default_value' => array(
                            0 => 'post',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'return_format' => 'value',
                        'ajax' => 0,
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_5e23456746239',
                        'label' => 'Header Style',
                        'name' => 'header_style_normal',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5d2781b83ad7c',
                                    'operator' => '==',
                                    'value' => 'normal',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'normal' => '<img src="http://dsngrid.com/images/wp/head/2.png" width="100" />',
                            'normal2' => '<img src="http://dsngrid.com/images/wp/head/1.png" width="100" />',
                        ),
                        'allow_null' => 0,
                        'default_value' => 'normal1',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_5e236413d52ce',
                        'label' => 'Header Style Img',
                        'name' => 'header_style_img',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5d2781b83ad7c',
                                    'operator' => '==',
                                    'value' => 'post',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'post' => '<img src="http://dsngrid.com/images/wp/head/3.png" width="100" />',
                            'project' => '<img src="http://dsngrid.com/images/wp/head/4.png" width="100" />',
                            'project2' => '<img src="http://dsngrid.com/images/wp/head/5.png" width="100" />',
                        ),
                        'allow_null' => 0,
                        'default_value' => 'post',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_5e28812860a68',
                        'label' => 'Image Size',
                        'name' => 'image_size',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5d2781b83ad7c',
                                    'operator' => '==',
                                    'value' => 'post',
                                ),
                                array(
                                    'field' => 'field_5e236413d52ce',
                                    'operator' => '==',
                                    'value' => 'project',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'w-100' => 'Full Width',
                        ),
                        'allow_null' => 1,
                        'default_value' => '',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_5e287c1111398',
                        'label' => 'Justify Content',
                        'name' => 'justify_content',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5d2781b83ad7c',
                                    'operator' => '==',
                                    'value' => 'post',
                                ),
                                array(
                                    'field' => 'field_5e236413d52ce',
                                    'operator' => '==',
                                    'value' => 'project',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'f-align-center' => 'Content Center',
                            'text-center' => 'Text Center',
                            'f-align-center text-center' => 'Both',
                        ),
                        'allow_null' => 1,
                        'default_value' => '',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_5e23774c8eb76',
                        'label' => 'Show Background Video',
                        'name' => 'show_background_video',
                        'type' => 'true_false',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5d2781b83ad7c',
                                    'operator' => '==',
                                    'value' => 'post',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'message' => '',
                        'default_value' => 0,
                        'ui' => 1,
                        'ui_on_text' => '',
                        'ui_off_text' => '',
                    ),
                    array(
                        'key' => 'field_5e2377918eb77',
                        'label' => 'Background Video',
                        'name' => 'background_video',
                        'type' => 'repeater',
                        'instructions' => 'It must be a extension ( .webm , .mp4 , .ogg )',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5d2781b83ad7c',
                                    'operator' => '==',
                                    'value' => 'post',
                                ),
                                array(
                                    'field' => 'field_5e23774c8eb76',
                                    'operator' => '==',
                                    'value' => '1',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'collapsed' => '',
                        'min' => 0,
                        'max' => 0,
                        'layout' => 'block',
                        'button_label' => '',
                        'sub_fields' => array(
                            array(
                                'key' => 'field_5e2377bd8eb78',
                                'label' => 'Use Url',
                                'name' => 'use_url',
                                'type' => 'true_false',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'message' => '',
                                'default_value' => 0,
                                'ui' => 1,
                                'ui_on_text' => 'upload',
                                'ui_off_text' => 'url',
                            ),
                            array(
                                'key' => 'field_5e23781b8eb79',
                                'label' => 'upload',
                                'name' => 'upload',
                                'type' => 'file',
                                'instructions' => 'It must be a extension ( .webm , .mp4 , .ogg )',
                                'required' => 0,
                                'conditional_logic' => array(
                                    array(
                                        array(
                                            'field' => 'field_5e2377bd8eb78',
                                            'operator' => '==',
                                            'value' => '1',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'return_format' => 'url',
                                'library' => 'all',
                                'min_size' => '',
                                'max_size' => '',
                                'mime_types' => '.webm , .mp4 , .ogg',
                            ),
                            array(
                                'key' => 'field_5e2379a38eb7a',
                                'label' => 'URL',
                                'name' => 'url',
                                'type' => 'url',
                                'instructions' => 'It must be a extension ( .webm , .mp4 , .ogg )',
                                'required' => 0,
                                'conditional_logic' => array(
                                    array(
                                        array(
                                            'field' => 'field_5e2377bd8eb78',
                                            'operator' => '!=',
                                            'value' => '1',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'placeholder' => '',
                            ),
                        ),
                    ),
                    array(
                        'key' => 'field_5e247d755e1da',
                        'label' => 'Opacity Overlay',
                        'name' => 'opacity_overlay',
                        'type' => 'number',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5d2781b83ad7c',
                                    'operator' => '==',
                                    'value' => 'post',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => 4,
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'min' => 0,
                        'max' => 10,
                        'step' => 1,
                    ),
                    array(
                        'key' => 'field_5d277f7383e24',
                        'label' => 'Custom Title',
                        'name' => 'custom_title',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_5d28e73b57a3d',
                        'label' => 'SubTitle',
                        'name' => 'subtitle',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5d2781b83ad7c',
                                    'operator' => '!=',
                                    'value' => 'none',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_5d2781a091f9a',
                        'label' => 'Description Header',
                        'name' => 'description_header',
                        'type' => 'textarea',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'maxlength' => '',
                        'rows' => '',
                        'new_lines' => '',
                    ),
                    array(
                        'key' => 'field_5e2886538d87f',
                        'label' => 'Header Link',
                        'name' => 'header_link',
                        'type' => 'url',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5d2781b83ad7c',
                                    'operator' => '==',
                                    'value' => 'post',
                                ),
                                array(
                                    'field' => 'field_5e236413d52ce',
                                    'operator' => '==',
                                    'value' => 'project',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_5d27836b5f452',
                        'label' => 'Layout',
                        'name' => '',
                        'type' => 'tab',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'placement' => 'top',
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5d7819985dec4',
                        'label' => 'Page Layout',
                        'name' => 'page_layout',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'full' => 'Wide Page',
                            'container' => 'Container Page',
                            'half' => 'Half Page',
                        ),
                        'allow_null' => 0,
                        'default_value' => 'container',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_5d2784225f454',
                        'label' => 'Background Color',
                        'name' => 'background_color',
                        'type' => 'select',
                        'instructions' => 'Background color for this page.',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'dark' => 'Dark',
                            'light' => 'Light',
                        ),
                        'default_value' => array(
                            0 => 'dark',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'return_format' => 'value',
                        'ajax' => 0,
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_5d2783875f453',
                        'label' => 'Show Sidebar',
                        'name' => 'show_sidebar',
                        'type' => 'select',
                        'instructions' => 'if you want your Use Sidebar. (Active Checkbox)',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'show' => 'Show',
                            'hide' => 'Hide',
                        ),
                        'default_value' => array(
                            0 => 'show',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'return_format' => 'value',
                        'ajax' => 0,
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_5d7abee14551e',
                        'label' => 'Navigation',
                        'name' => '',
                        'type' => 'tab',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'placement' => 'top',
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5d7abd1a8f4d6',
                        'label' => 'Next Page',
                        'name' => 'next_page',
                        'type' => 'post_object',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'post_type' => array(
                            0 => 'page',
                            1 => 'post',
                            2 => 'droow-portfolio',
                        ),
                        'taxonomy' => '',
                        'allow_null' => 1,
                        'multiple' => 0,
                        'return_format' => 'object',
                        'ui' => 1,
                    ),
                    array(
                        'key' => 'field_5d7abdf68f4d7',
                        'label' => 'Title Next Page',
                        'name' => 'title_next_page',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5d7abd1a8f4d6',
                                    'operator' => '!=empty',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_5d7abe248f4d8',
                        'label' => 'Subtitle Next Page',
                        'name' => 'subtitle_next_page',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5d7abd1a8f4d6',
                                    'operator' => '!=empty',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_5d7adf5124fc1',
                        'label' => 'Visit Link',
                        'name' => 'visit_link',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5d7ad7627cc90',
                                    'operator' => '==',
                                    'value' => 'project',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_5d7ae2e910093',
                        'label' => 'Year',
                        'name' => 'year',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_5d88dcbb8daa8',
                        'label' => 'Pagination Load More',
                        'name' => 'ajax_load_more',
                        'type' => 'true_false',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'message' => '',
                        'default_value' => 1,
                        'ui' => 1,
                        'ui_on_text' => '',
                        'ui_off_text' => '',
                    ),
                    array(
                        'key' => 'field_5e457697064da',
                        'label' => 'Section Padding',
                        'name' => 'section_padding',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'single-post' => 'Small',
                            'single-project' => 'Large',
                        ),
                        'allow_null' => 0,
                        'default_value' => 'single-post',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_5e480a80d445b',
                        'label' => 'Blog pages show at most',
                        'name' => 'blog_pages_show_at_most',
                        'type' => 'number',
                        'instructions' => '-1 will return unlimited posts
if 0 will	return	Default Value WordPress',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => 10,
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'min' => -1,
                        'max' => '',
                        'step' => 1,
                    ),
                    array(
                        'key' => 'field_5e481f62eb77e',
                        'label' => 'Style Work',
                        'name' => 'style_work',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'work' => 'Work',
                            'work-1' => 'Work 1',
                        ),
                        'allow_null' => 0,
                        'default_value' => '',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_5e498162361ea',
                        'label' => 'Slider',
                        'name' => '',
                        'type' => 'tab',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'placement' => 'top',
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5e4981de361eb',
                        'label' => 'Show Button All Work',
                        'name' => 'all_work',
                        'type' => 'true_false',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'message' => '',
                        'default_value' => 0,
                        'ui' => 1,
                        'ui_on_text' => '',
                        'ui_off_text' => '',
                    ),
                    array(
                        'key' => 'field_5e4982e0a40bd',
                        'label' => 'Layout',
                        'name' => 'layout',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'demo1' => '<img src="http://dsngrid.com/images/wp/droow/slider-1.png" width="100" />',
                            'demo2' => '<img src="http://dsngrid.com/images/wp/droow/slider-2.png" width="100" />',
                            'demo3' => '<img src="http://dsngrid.com/images/wp/droow/slider-3.png" width="100" />',
                        ),
                        'allow_null' => 0,
                        'default_value' => 'demo1',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_5e4984b96e151',
                        'label' => 'Order',
                        'name' => 'slid_order',
                        'type' => 'radio',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'DESC' => 'New To Old',
                            'ASC' => 'Old To New',
                        ),
                        'allow_null' => 0,
                        'other_choice' => 0,
                        'default_value' => 'DESC',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                        'save_other_choice' => 0,
                    ),
                    array(
                        'key' => 'field_5e4987e900821',
                        'label' => 'Image',
                        'name' => 'image',
                        'type' => 'image',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'return_format' => 'id',
                        'preview_size' => 'medium',
                        'library' => 'all',
                        'min_width' => '',
                        'min_height' => '',
                        'min_size' => '',
                        'max_width' => '',
                        'max_height' => '',
                        'max_size' => '',
                        'mime_types' => '',
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'post_type',
                            'operator' => '==',
                            'value' => 'page',
                        ),
                    ),
                    array(
                        array(
                            'param' => 'post_type',
                            'operator' => '==',
                            'value' => 'post',
                        ),
                    ),
                    array(
                        array(
                            'param' => 'post_type',
                            'operator' => '==',
                            'value' => 'droow-portfolio',
                        ),
                    ),
                ),
                'menu_order' => 0,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => false,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5ebf2ae944509',
                'title' => 'Widget Copyright',
                'fields' => array(
                    array(
                        'key' => 'field_5ebf2b26b2410',
                        'label' => 'Text',
                        'name' => 'description',
                        'type' => 'textarea',
                        'instructions' => 'Allowed HTML Tags: a, em, br, strong, img, i. and you can use year dynamic add :y',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '&copy; :y Droow Theme',
                        'placeholder' => '',
                        'maxlength' => '',
                        'rows' => '',
                        'new_lines' => '',
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'widget',
                            'operator' => '==',
                            'value' => 'droow_copyright',
                        ),
                    ),
                ),
                'menu_order' => 0,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5ec00f1f71afb',
                'title' => 'Widget Social',
                'fields' => array(
                    array(
                        'key' => 'field_5ec01390276da',
                        'label' => 'Title',
                        'name' => 'title',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_5ec06595bea48',
                        'label' => 'With Logo',
                        'name' => 'use_logo',
                        'type' => 'true_false',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'message' => '',
                        'default_value' => 0,
                        'ui' => 1,
                        'ui_on_text' => '',
                        'ui_off_text' => '',
                    ),
                    array(
                        'key' => 'field_5ec00f1f8602e',
                        'label' => 'Display',
                        'name' => 'dsn_display',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'row' => 'Row',
                            'column' => 'column',
                        ),
                        'allow_null' => 0,
                        'default_value' => 'row',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_5ec00f1f89d41',
                        'label' => 'Justify Content',
                        'name' => 'justify_content',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'start' => 'Start',
                            'center' => 'Center',
                            'end' => 'End',
                        ),
                        'allow_null' => 0,
                        'default_value' => 'end',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_5ec00f1f8da34',
                        'label' => 'Align Items',
                        'name' => 'align_items',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'start' => 'Start',
                            'center' => 'Center',
                            'end' => 'End',
                        ),
                        'allow_null' => 0,
                        'default_value' => 'end',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_5ec00f1f9174f',
                        'label' => 'Display Social',
                        'name' => 'display_social',
                        'type' => 'radio',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'name' => 'Social Name',
                            'init_name' => 'initial Social Name',
                            'icon' => 'Icon Social',
                        ),
                        'allow_null' => 0,
                        'other_choice' => 0,
                        'default_value' => 'name',
                        'layout' => 'vertical',
                        'return_format' => 'value',
                        'save_other_choice' => 0,
                    ),
                    array(
                        'key' => 'field_5ec00f1f95445',
                        'label' => 'Social',
                        'name' => 'dsn_social',
                        'type' => 'repeater',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'collapsed' => 'field_5ebff65dec574',
                        'min' => 0,
                        'max' => 0,
                        'layout' => 'block',
                        'button_label' => 'Add Item',
                        'sub_fields' => array(
                            array(
                                'key' => 'field_5ec00f1fa24f5',
                                'label' => 'Social Name',
                                'name' => 'name',
                                'type' => 'text',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array(
                                    array(
                                        array(
                                            'field' => 'field_5ec00f1f9174f',
                                            'operator' => '==',
                                            'value' => 'name',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'maxlength' => '',
                            ),
                            array(
                                'key' => 'field_5ec00f1fa620b',
                                'label' => 'initial Social Name',
                                'name' => 'init_name',
                                'type' => 'text',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array(
                                    array(
                                        array(
                                            'field' => 'field_5ec00f1f9174f',
                                            'operator' => '==',
                                            'value' => 'init_name',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'maxlength' => '',
                            ),
                            array(
                                'key' => 'field_5ec00f1fa9f2d',
                                'label' => 'Icon Social',
                                'name' => 'icon',
                                'type' => 'text',
                                'instructions' => 'You can control this icons from <a href="https://fontawesome.com/icons?d=gallery&m=free" target="_blank" >This Page </a> copy into class like fab fa-500px',
                                'required' => 0,
                                'conditional_logic' => array(
                                    array(
                                        array(
                                            'field' => 'field_5ec00f1f9174f',
                                            'operator' => '==',
                                            'value' => 'icon',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'maxlength' => '',
                            ),
                            array(
                                'key' => 'field_5ec00f1fadc21',
                                'label' => 'Link',
                                'name' => 'link',
                                'type' => 'textarea',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'placeholder' => '',
                                'maxlength' => '',
                                'rows' => '',
                                'new_lines' => '',
                            ),
                        ),
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'widget',
                            'operator' => '==',
                            'value' => 'droow_social',
                        ),
                    ),
                ),
                'menu_order' => 0,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e4573d6bbf6e',
                'title' => 'Option Page',
                'fields' => array(
                    array(
                        'key' => 'field_5e4573d6d1d5c',
                        'label' => 'Option Header',
                        'name' => 'option_header',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5d277d7783e23',
                            1 => 'field_5d7816181c1b8',
                            2 => 'field_5d2781b83ad7c',
                            3 => 'field_5e236413d52ce',
                            4 => 'field_5e23456746239',
                            5 => 'field_5e28812860a68',
                            6 => 'field_5e287c1111398',
                            7 => 'field_5e23774c8eb76',
                            8 => 'field_5e2377918eb77',
                            9 => 'field_5e247d755e1da',
                            10 => 'field_5d277f7383e24',
                            11 => 'field_5d28e73b57a3d',
                            12 => 'field_5d2781a091f9a',
                            13 => 'field_5e2886538d87f',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                    array(
                        'key' => 'field_5e4573d6d5a92',
                        'label' => 'Opation Layout',
                        'name' => 'opation_layout',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5d27836b5f452',
                            1 => 'field_5d7819985dec4',
                            2 => 'field_5e457697064da',
                            3 => 'field_5d2784225f454',
                            4 => 'field_5d2783875f453',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                    array(
                        'key' => 'field_5e45740dae097',
                        'label' => 'Opation Next',
                        'name' => 'opation_next',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5d7abee14551e',
                            1 => 'field_5d7abd1a8f4d6',
                            2 => 'field_5d7abdf68f4d7',
                            3 => 'field_5d7abe248f4d8',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'post_type',
                            'operator' => '==',
                            'value' => 'page',
                        ),
                        array(
                            'param' => 'post_template',
                            'operator' => '!=',
                            'value' => 'page-slider.php',
                        ),
                    ),
                ),
                'menu_order' => 1,
                'position' => 'normal',
                'style' => 'seamless',
                'label_placement' => 'top',
                'instruction_placement' => 'field',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5d277f9228e88',
                'title' => 'Option Post',
                'fields' => array(
                    array(
                        'key' => 'field_5d277fa6c699b',
                        'label' => 'Option Header',
                        'name' => 'option_header',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5d277d7783e23',
                            1 => 'field_5d7816181c1b8',
                            2 => 'field_5d2781b83ad7c',
                            3 => 'field_5e236413d52ce',
                            4 => 'field_5e23456746239',
                            5 => 'field_5e28812860a68',
                            6 => 'field_5e287c1111398',
                            7 => 'field_5e23774c8eb76',
                            8 => 'field_5e2377918eb77',
                            9 => 'field_5e247d755e1da',
                            10 => 'field_5d277f7383e24',
                            11 => 'field_5d28e73b57a3d',
                            12 => 'field_5d2781a091f9a',
                            13 => 'field_5e2886538d87f',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                    array(
                        'key' => 'field_5e3b5f8e05785',
                        'label' => 'Opation Layout',
                        'name' => 'opation_layout',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5d27836b5f452',
                            1 => 'field_5d7819985dec4',
                            2 => 'field_5d2784225f454',
                            3 => 'field_5d2783875f453',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'post_type',
                            'operator' => '==',
                            'value' => 'post',
                        ),
                    ),
                ),
                'menu_order' => 1,
                'position' => 'normal',
                'style' => 'seamless',
                'label_placement' => 'top',
                'instruction_placement' => 'field',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e3ef50bd1b0c',
                'title' => 'Option Project',
                'fields' => array(
                    array(
                        'key' => 'field_5e3ef50be31d6',
                        'label' => 'Option Header',
                        'name' => 'option_header',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5d277d7783e23',
                            1 => 'field_5d7816181c1b8',
                            2 => 'field_5d2781b83ad7c',
                            3 => 'field_5e236413d52ce',
                            4 => 'field_5e23456746239',
                            5 => 'field_5e28812860a68',
                            6 => 'field_5e287c1111398',
                            7 => 'field_5e23774c8eb76',
                            8 => 'field_5e2377918eb77',
                            9 => 'field_5e247d755e1da',
                            10 => 'field_5d277f7383e24',
                            11 => 'field_5d28e73b57a3d',
                            12 => 'field_5d2781a091f9a',
                            13 => 'field_5e2886538d87f',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                    array(
                        'key' => 'field_5e3ef50be6edc',
                        'label' => 'Opation Layout',
                        'name' => 'opation_layout',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5d27836b5f452',
                            1 => 'field_5d7819985dec4',
                            2 => 'field_5d2784225f454',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'post_type',
                            'operator' => '==',
                            'value' => 'droow-portfolio',
                        ),
                    ),
                ),
                'menu_order' => 1,
                'position' => 'normal',
                'style' => 'seamless',
                'label_placement' => 'top',
                'instruction_placement' => 'field',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e480b33514ec',
                'title' => 'Option Single Post',
                'fields' => array(
                    array(
                        'key' => 'field_5e480b4d50b89',
                        'label' => 'Option Page',
                        'name' => 'option_page',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5d88dcbb8daa8',
                            1 => 'field_5e480a80d445b',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'post_template',
                            'operator' => '==',
                            'value' => 'page-posts.php',
                        ),
                    ),
                ),
                'menu_order' => 1,
                'position' => 'side',
                'style' => 'seamless',
                'label_placement' => 'top',
                'instruction_placement' => 'field',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e481f33edf4d',
                'title' => 'Option Single Work',
                'fields' => array(
                    array(
                        'key' => 'field_5e481f34093b3',
                        'label' => 'Option Work',
                        'name' => 'option_page',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5e480a80d445b',
                            1 => 'field_5e481f62eb77e',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                    array(
                        'key' => 'field_5eaaf65427d03',
                        'label' => 'Use Title Cover',
                        'name' => 'use_title_cover',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'show' => 'Show',
                            'hide' => 'Hide',
                        ),
                        'default_value' => array(
                            0 => 'show',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'return_format' => 'value',
                        'ajax' => 0,
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_5eaaf619c3af4',
                        'label' => 'Titlle Cover',
                        'name' => 'titlle_cover_work',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => 'Project',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_5eae249aec983',
                        'label' => 'Use As gallery',
                        'name' => 'use_as_gallery',
                        'type' => 'true_false',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'message' => '',
                        'default_value' => 0,
                        'ui' => 1,
                        'ui_on_text' => '',
                        'ui_off_text' => '',
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'post_template',
                            'operator' => '==',
                            'value' => 'page-work.php',
                        ),
                    ),
                ),
                'menu_order' => 1,
                'position' => 'side',
                'style' => 'seamless',
                'label_placement' => 'top',
                'instruction_placement' => 'field',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e49813806183',
                'title' => 'Option Slider',
                'fields' => array(
                    array(
                        'key' => 'field_5e4981381a7d9',
                        'label' => 'Option Work',
                        'name' => 'option_page',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5d277d7783e23',
                            1 => 'field_5d7816181c1b8',
                            2 => 'field_5e4981de361eb',
                            3 => 'field_5e4982e0a40bd',
                            4 => 'field_5e4984b96e151',
                            5 => 'field_5d27836b5f452',
                            6 => 'field_5d2784225f454',
                            7 => 'field_5e480a80d445b',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                    array(
                        'key' => 'field_5e49ba7b7ff4c',
                        'label' => 'Use Slider Only',
                        'name' => 'use_slider_only',
                        'type' => 'true_false',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'message' => '',
                        'default_value' => 0,
                        'ui' => 1,
                        'ui_on_text' => '',
                        'ui_off_text' => '',
                    ),
                    array(
                        'key' => 'field_5e4988f43d523',
                        'label' => 'Views',
                        'name' => 'dsn-views',
                        'type' => 'radio',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'work' => 'Work',
                            'custom' => 'Custom',
                        ),
                        'allow_null' => 0,
                        'other_choice' => 0,
                        'default_value' => 'work',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                        'save_other_choice' => 0,
                    ),
                    array(
                        'key' => 'field_5e4987423d51f',
                        'label' => 'Custom Slider',
                        'name' => 'custom_slider',
                        'type' => 'repeater',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5e4988f43d523',
                                    'operator' => '==',
                                    'value' => 'custom',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'collapsed' => 'field_5e498ecf3860c',
                        'min' => 0,
                        'max' => 0,
                        'layout' => 'block',
                        'button_label' => 'Add Slider',
                        'sub_fields' => array(
                            array(
                                'key' => 'field_5e498ecf3860c',
                                'label' => 'Choose Post',
                                'name' => 'choose_post',
                                'type' => 'post_object',
                                'instructions' => '',
                                'required' => 1,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'post_type' => array(
                                    0 => 'droow-portfolio',
                                    1 => 'page',
                                    2 => 'post',
                                ),
                                'taxonomy' => '',
                                'allow_null' => 0,
                                'multiple' => 0,
                                'return_format' => 'object',
                                'ui' => 1,
                            ),
                            array(
                                'key' => 'field_5e49875a3d520',
                                'label' => 'Clone Background',
                                'name' => '',
                                'type' => 'clone',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'clone' => array(
                                    0 => 'field_5e4987e900821',
                                    1 => 'field_5e23774c8eb76',
                                    2 => 'field_5e2377918eb77',
                                    3 => 'field_5e247d755e1da',
                                ),
                                'display' => 'seamless',
                                'layout' => 'block',
                                'prefix_label' => 0,
                                'prefix_name' => 0,
                            ),
                            array(
                                'key' => 'field_5e4988453d521',
                                'label' => 'Title',
                                'name' => 'title',
                                'type' => 'text',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'maxlength' => '',
                            ),
                            array(
                                'key' => 'field_5e4988503d522',
                                'label' => 'Clone Content',
                                'name' => 'clone_content',
                                'type' => 'clone',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'clone' => array(
                                    0 => 'field_5d28e73b57a3d',
                                    1 => 'field_5d2781a091f9a',
                                ),
                                'display' => 'seamless',
                                'layout' => 'block',
                                'prefix_label' => 0,
                                'prefix_name' => 0,
                            ),
                        ),
                    ),
                    array(
                        'key' => 'field_5e505bccf656a',
                        'label' => 'Clone Navigation',
                        'name' => 'clone_navigation',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5d7abee14551e',
                            1 => 'field_5d7abd1a8f4d6',
                            2 => 'field_5d7abdf68f4d7',
                            3 => 'field_5d7abe248f4d8',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'post_template',
                            'operator' => '==',
                            'value' => 'page-slider.php',
                        ),
                    ),
                ),
                'menu_order' => 1,
                'position' => 'normal',
                'style' => 'seamless',
                'label_placement' => 'top',
                'instruction_placement' => 'field',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e505c5b9c6c1',
                'title' => 'Option Slider Side',
                'fields' => array(
                    array(
                        'key' => 'field_5f294e9514d0e',
                        'label' => 'Featured image in mobile',
                        'name' => 'featured_image_in_mobile',
                        'type' => 'image',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'return_format' => 'id',
                        'preview_size' => 'medium',
                        'library' => 'all',
                        'min_width' => '',
                        'min_height' => '',
                        'min_size' => '',
                        'max_width' => '',
                        'max_height' => '',
                        'max_size' => '',
                        'mime_types' => '',
                    ),
                    array(
                        'key' => 'field_5e505d1c4229a',
                        'label' => 'Image Nav Slider',
                        'name' => 'image_nav_slider',
                        'type' => 'image',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'return_format' => 'id',
                        'preview_size' => 'medium',
                        'library' => 'all',
                        'min_width' => '',
                        'min_height' => '',
                        'min_size' => '',
                        'max_width' => '',
                        'max_height' => '',
                        'max_size' => '',
                        'mime_types' => '',
                    ),
                    array(
                        'key' => 'field_5e505d454229b',
                        'label' => 'Description',
                        'name' => 'description_for_slider',
                        'type' => 'textarea',
                        'instructions' => 'The Description Display in Slider',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'maxlength' => '',
                        'rows' => 4,
                        'new_lines' => 'br',
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'post_type',
                            'operator' => '==',
                            'value' => 'droow-portfolio',
                        ),
                    ),
                ),
                'menu_order' => 1,
                'position' => 'side',
                'style' => 'seamless',
                'label_placement' => 'top',
                'instruction_placement' => 'field',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e2df130c749d',
                'title' => 'Blocks',
                'fields' => array(
                    array(
                        'key' => 'field_5e2df16f429d5',
                        'label' => 'Triggerhook',
                        'name' => 'triggerhook',
                        'type' => 'number',
                        'instructions' => 'Can be a number between 0 and 1 defining the position of the trigger Hook in relation to the viewport.',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => 1,
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'min' => 0,
                        'max' => 1,
                        'step' => '0.1',
                    ),
                    array(
                        'key' => 'field_5e2df235429d6',
                        'label' => 'Duration',
                        'name' => 'duration',
                        'type' => 'text',
                        'instructions' => 'The duration of the scene.',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '200%',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_5e2df315810b9',
                        'label' => 'Gallery',
                        'name' => 'gallery',
                        'type' => 'gallery',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'return_format' => 'id',
                        'preview_size' => 'medium',
                        'insert' => 'append',
                        'library' => 'all',
                        'min' => '',
                        'max' => '',
                        'min_width' => '',
                        'min_height' => '',
                        'min_size' => '',
                        'max_width' => '',
                        'max_height' => '',
                        'max_size' => '',
                        'mime_types' => '',
                    ),
                    array(
                        'key' => 'field_5e2df3b0810ba',
                        'label' => 'Choose Image',
                        'name' => 'image',
                        'type' => 'image',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'return_format' => 'id',
                        'preview_size' => 'medium',
                        'library' => 'all',
                        'min_width' => '',
                        'min_height' => '',
                        'min_size' => '',
                        'max_width' => '',
                        'max_height' => '',
                        'max_size' => '',
                        'mime_types' => '',
                    ),
                    array(
                        'key' => 'field_5ebdc8b5072f3',
                        'label' => 'Choose Gallery',
                        'name' => 'image',
                        'type' => 'gallery',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'return_format' => 'id',
                        'preview_size' => 'medium',
                        'insert' => 'append',
                        'library' => 'all',
                        'min' => '',
                        'max' => '',
                        'min_width' => '',
                        'min_height' => '',
                        'min_size' => '',
                        'max_width' => '',
                        'max_height' => '',
                        'max_size' => '',
                        'mime_types' => '',
                    ),
                    array(
                        'key' => 'field_5e2df40ebb5f3',
                        'label' => 'TranslateY',
                        'name' => 'translatey',
                        'type' => 'number',
                        'instructions' => 'moves an element from its current position',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => 30,
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'min' => -100,
                        'max' => 100,
                        'step' => 1,
                    ),
                    array(
                        'key' => 'field_5e2df7dd2e7ff',
                        'label' => 'Style TranslateY',
                        'name' => 'style_translatey',
                        'type' => 'number',
                        'instructions' => 'moves an element from its current position',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'min' => -100,
                        'max' => 100,
                        'step' => 1,
                    ),
                    array(
                        'key' => 'field_5e2df507173ec',
                        'label' => 'Scale',
                        'name' => 'scale',
                        'type' => 'number',
                        'instructions' => 'increases or decreases the size of an element',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '1.1',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'min' => 1,
                        'max' => 2,
                        'step' => '0.1',
                    ),
                    array(
                        'key' => 'field_5e2df7eb2e800',
                        'label' => 'Style Scale',
                        'name' => 'style_scale',
                        'type' => 'number',
                        'instructions' => 'increases or decreases the size of an element',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'min' => 1,
                        'max' => 2,
                        'step' => '0.1',
                    ),
                    array(
                        'key' => 'field_5e2df65f27a3d',
                        'label' => 'Entrance Animation',
                        'name' => 'animation_type',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'move' => 'Move',
                            'scale' => 'Scale',
                        ),
                        'allow_null' => 0,
                        'default_value' => 'move',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_5e2df70b27a3e',
                        'label' => 'Overlay',
                        'name' => 'overlay',
                        'type' => 'number',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => 0,
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'min' => 0,
                        'max' => 10,
                        'step' => 1,
                    ),
                    array(
                        'key' => 'field_5e380fba9db00',
                        'label' => 'Num Experience',
                        'name' => 'overlay',
                        'type' => 'number',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'min' => 0,
                        'max' => '',
                        'step' => 1,
                    ),
                    array(
                        'key' => 'field_5e2df7fc64405',
                        'label' => 'Style Top',
                        'name' => 'style_top',
                        'type' => 'number',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'min' => -100,
                        'max' => 100,
                        'step' => 1,
                    ),
                    array(
                        'key' => 'field_5e2df82664406',
                        'label' => 'Style Height',
                        'name' => 'style_height',
                        'type' => 'number',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'min' => 100,
                        'max' => 200,
                        'step' => 1,
                    ),
                    array(
                        'key' => 'field_5e2df9ecdd8ff',
                        'label' => 'Change Section Color',
                        'name' => 'change_section_color',
                        'type' => 'true_false',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'message' => '',
                        'default_value' => 0,
                        'ui' => 1,
                        'ui_on_text' => '',
                        'ui_off_text' => '',
                    ),
                    array(
                        'key' => 'field_5e30b653cbb63',
                        'label' => 'Duration Color',
                        'name' => 'duration_color',
                        'type' => 'text',
                        'instructions' => 'The duration of the scene.',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5e2df9ecdd8ff',
                                    'operator' => '==',
                                    'value' => '1',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_5e2dfba40ea5e',
                        'label' => 'Fade Up',
                        'name' => 'fade_up',
                        'type' => 'true_false',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'message' => '',
                        'default_value' => 0,
                        'ui' => 1,
                        'ui_on_text' => '',
                        'ui_off_text' => '',
                    ),
                    array(
                        'key' => 'field_5e2f2047493b0',
                        'label' => 'image Size',
                        'name' => 'image_size_acf',
                        'type' => 'select',
                        'instructions' => 'Gets the available intermediate image sizes',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'thumbnail' => 'Thumbnail (150 x 150)',
                            'medium' => 'Medium (300 x 300)',
                            'large' => 'Large (1024 x 1024)',
                            'medium_large' => 'Medium_large',
                            '1536x1536' => '1536x1536 (1536 x 1536)',
                            '2048x2048' => '2048x2048 (2048 x 2048)',
                            'droow-large-img' => 'Droow Large Img',
                            'droow-media-img' => 'Droow Media Img',
                            'droow-brand-img' => 'Droow Brand Img',
                            'droow-slider-img' => 'Droow Slider Img (800 x 500)',
                            'droow_image_part' => 'Droow_image_part (400 x 300)',
                            'droow_height_img' => 'Droow_height_img (880 x 1399)',
                            'droow_vertical_img' => 'Droow_vertical_img (300 x 450)',
                            'full' => 'Full Size',
                        ),
                        'default_value' => array(
                            0 => 'full',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'return_format' => 'value',
                        'ajax' => 0,
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_5e36c79533573',
                        'label' => 'image Size Popup',
                        'name' => 'image_size_popup',
                        'type' => 'select',
                        'instructions' => 'Gets the available intermediate image sizes',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'thumbnail' => 'Thumbnail (150 x 150)',
                            'medium' => 'Medium (300 x 300)',
                            'large' => 'Large (1024 x 1024)',
                            'medium_large' => 'Medium_large',
                            '1536x1536' => '1536x1536 (1536 x 1536)',
                            '2048x2048' => '2048x2048 (2048 x 2048)',
                            'droow-large-img' => 'Droow Large Img',
                            'droow-media-img' => 'Droow Media Img',
                            'droow-brand-img' => 'Droow Brand Img',
                            'droow-slider-img' => 'Droow Slider Img (800 x 500)',
                            'droow_image_part' => 'Droow_image_part (400 x 300)',
                            'droow_height_img' => 'Droow_height_img (880 x 1399)',
                            'droow_vertical_img' => 'Droow_vertical_img (300 x 450)',
                            'full' => 'Full Size',
                        ),
                        'default_value' => array(
                            0 => 'full',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'return_format' => 'value',
                        'ajax' => 0,
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_5e2f26315e422',
                        'label' => 'Caption',
                        'name' => 'caption',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'none' => 'None',
                            'attachment' => 'Attachment Caption',
                            'custom' => 'Custom Caption',
                        ),
                        'default_value' => array(
                            0 => 'none',
                        ),
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'return_format' => 'value',
                        'ajax' => 0,
                        'placeholder' => '',
                    ),
                    array(
                        'key' => 'field_5e2f26ec5e423',
                        'label' => 'Custom Caption',
                        'name' => 'custom_caption',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5e2f26315e422',
                                    'operator' => '==',
                                    'value' => 'custom',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_5e358bf862a1a',
                        'label' => 'Title Caption',
                        'name' => 'title_caption',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5e2f26315e422',
                                    'operator' => '==',
                                    'value' => 'custom',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_5e358c5b62a1c',
                        'label' => 'Title Animate Caption',
                        'name' => 'title_animate_caption',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5e358bf862a1a',
                                    'operator' => '!=empty',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'text' => 'Show Letter',
                            'up' => 'Fade Up',
                        ),
                        'allow_null' => 1,
                        'default_value' => '',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_5e358c0562a1b',
                        'label' => 'Description Caption',
                        'name' => 'description_caption',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5e2f26315e422',
                                    'operator' => '==',
                                    'value' => 'custom',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_5e358c7262a1d',
                        'label' => 'Description Animate Caption',
                        'name' => 'description_animate_caption',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5e358c0562a1b',
                                    'operator' => '!=empty',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'text' => 'Show Letter',
                            'up' => 'Fade Up',
                        ),
                        'allow_null' => 1,
                        'default_value' => '',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_5e2f273dbe0c3',
                        'label' => 'Layout',
                        'name' => 'layout',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'container-fluid' => 'Fluid Container',
                            'container' => 'Container',
                            'dsn-layout-default' => 'Full',
                        ),
                        'allow_null' => 1,
                        'default_value' => 'container',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_5e344ec0df059',
                        'label' => 'Title Cover',
                        'name' => 'title_cover',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_5e3817d3dc75c',
                        'label' => 'subTitle',
                        'name' => 'title_cover',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_5e380ed03cd33',
                        'label' => 'position',
                        'name' => 'title_cover',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_5e344ee7df05a',
                        'label' => 'Title',
                        'name' => 'title',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_5e344f66df05b',
                        'label' => 'Title Animate',
                        'name' => 'title_animate',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5e344ee7df05a',
                                    'operator' => '!=empty',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'text' => 'Show Letter',
                            'up' => 'Fade Up',
                        ),
                        'allow_null' => 1,
                        'default_value' => '',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_5e380ceedc535',
                        'label' => 'name',
                        'name' => 'title',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_5e380d0bdc536',
                        'label' => 'Name Animate',
                        'name' => 'title_animate',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5e344ee7df05a',
                                    'operator' => '!=empty',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'text' => 'Show Letter',
                            'up' => 'Fade Up',
                        ),
                        'allow_null' => 1,
                        'default_value' => '',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_5e344fdddf05c',
                        'label' => 'Description',
                        'name' => 'description',
                        'type' => 'textarea',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'maxlength' => '',
                        'rows' => 4,
                        'new_lines' => 'br',
                    ),
                    array(
                        'key' => 'field_5e34501adf05d',
                        'label' => 'Description Animate',
                        'name' => 'description_animate',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5e344fdddf05c',
                                    'operator' => '!=empty',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'text' => 'Show Letter',
                            'up' => 'Fade Up',
                        ),
                        'allow_null' => 1,
                        'default_value' => '',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_5e34505f5ba01',
                        'label' => 'Link',
                        'name' => 'link',
                        'type' => 'group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'layout' => 'block',
                        'sub_fields' => array(
                            array(
                                'key' => 'field_5e3450735ba02',
                                'label' => 'Url',
                                'name' => 'url',
                                'type' => 'url',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'placeholder' => '',
                            ),
                            array(
                                'key' => 'field_5e3450925ba03',
                                'label' => 'Title',
                                'name' => 'title',
                                'type' => 'text',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => 'VISIT SITE',
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'maxlength' => '',
                            ),
                        ),
                    ),
                    array(
                        'key' => 'field_5e3450c2dde76',
                        'label' => 'Details',
                        'name' => 'details',
                        'type' => 'repeater',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'collapsed' => '',
                        'min' => 0,
                        'max' => 0,
                        'layout' => 'table',
                        'button_label' => '',
                        'sub_fields' => array(
                            array(
                                'key' => 'field_5e3450cbdde77',
                                'label' => 'description',
                                'name' => 'description',
                                'type' => 'text',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'maxlength' => '',
                            ),
                        ),
                    ),
                    array(
                        'key' => 'field_5e35c212e27bc',
                        'label' => 'Description Blod',
                        'name' => 'description_blod',
                        'type' => 'textarea',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'maxlength' => '',
                        'rows' => 4,
                        'new_lines' => 'br',
                    ),
                    array(
                        'key' => 'field_5e35c27be45ab',
                        'label' => 'Style Vertical',
                        'name' => 'style_vertical',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'left' => 'Left',
                            'right' => 'Right',
                        ),
                        'allow_null' => 0,
                        'default_value' => 'left',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_5e36c52ce7b34',
                        'label' => 'Show Caption',
                        'name' => 'show_caption',
                        'type' => 'true_false',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'message' => '',
                        'default_value' => 0,
                        'ui' => 1,
                        'ui_on_text' => '',
                        'ui_off_text' => '',
                    ),
                    array(
                        'key' => 'field_5e3818e9748aa',
                        'label' => 'With Image',
                        'name' => 'show_caption',
                        'type' => 'true_false',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'message' => '',
                        'default_value' => 0,
                        'ui' => 1,
                        'ui_on_text' => '',
                        'ui_off_text' => '',
                    ),
                    array(
                        'key' => 'field_5e4690169f39c',
                        'label' => 'Style',
                        'name' => 'show_caption',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'full' => '<img src="http://dsngrid.com/images/wp/post/droow-1.jpg" width="100" />',
                            'half' => '<img src="http://dsngrid.com/images/wp/post/droow-2.png" width="100" />',
                        ),
                        'allow_null' => 0,
                        'default_value' => 'full',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_5e36e4c9cfd15',
                        'label' => 'Style Box',
                        'name' => 'style_box',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'move' => 'Move',
                            'box-seat-full' => 'Right',
                            'box-seat-bottom' => 'Bottom',
                        ),
                        'allow_null' => 0,
                        'default_value' => 'move',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                    array(
                        'key' => 'field_5e4e885e889e5',
                        'label' => 'Use As Under Header',
                        'name' => 'use_as_under_header',
                        'type' => 'true_false',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'message' => '',
                        'default_value' => 0,
                        'ui' => 1,
                        'ui_on_text' => '',
                        'ui_off_text' => '',
                    ),
                    array(
                        'key' => 'field_5e4e96e61438b',
                        'label' => 'Layout Under Header',
                        'name' => 'layout_under_header',
                        'type' => 'button_group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5e4e885e889e5',
                                    'operator' => '==',
                                    'value' => '1',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'dsn-under-left' => 'Left',
                            'dsn-under-center' => 'Center',
                            'dsn-under-right' => 'Right',
                        ),
                        'allow_null' => 0,
                        'default_value' => 'dsn-under-center',
                        'layout' => 'horizontal',
                        'return_format' => 'value',
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'all',
                        ),
                    ),
                ),
                'menu_order' => 4,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => false,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e3819387d91d',
                'title' => 'Block Brand',
                'fields' => array(
                    array(
                        'key' => 'field_5e38193891f31',
                        'label' => 'Content',
                        'name' => '',
                        'type' => 'accordion',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'open' => 1,
                        'multi_expand' => 0,
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5e38193892310',
                        'label' => 'Content Brand',
                        'name' => 'content_service',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5e3817d3dc75c',
                            1 => 'field_5e344ee7df05a',
                            2 => 'field_5e344f66df05b',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                    array(
                        'key' => 'field_5e381938926ea',
                        'label' => 'Item',
                        'name' => 'item',
                        'type' => 'repeater',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'collapsed' => 'field_5e36f154fb89c',
                        'min' => 0,
                        'max' => 0,
                        'layout' => 'block',
                        'button_label' => '',
                        'sub_fields' => array(
                            array(
                                'key' => 'field_5e3819389df02',
                                'label' => 'Clone Item',
                                'name' => 'clone_item',
                                'type' => 'clone',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'clone' => array(
                                    0 => 'field_5e2df3b0810ba',
                                    1 => 'field_5e34505f5ba01',
                                ),
                                'display' => 'seamless',
                                'layout' => 'block',
                                'prefix_label' => 0,
                                'prefix_name' => 0,
                            ),
                        ),
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/dsnbrand',
                        ),
                    ),
                ),
                'menu_order' => 5,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e37431175f67',
                'title' => 'Block Client',
                'fields' => array(
                    array(
                        'key' => 'field_5e3743118eed2',
                        'label' => 'Content',
                        'name' => '',
                        'type' => 'accordion',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'open' => 1,
                        'multi_expand' => 0,
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5e37431198b2a',
                        'label' => 'Content Service',
                        'name' => 'content_service',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5e3817d3dc75c',
                            1 => 'field_5e344ee7df05a',
                            2 => 'field_5e344f66df05b',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                    array(
                        'key' => 'field_5e3743119daa4',
                        'label' => 'With Image',
                        'name' => 'show_caption',
                        'type' => 'true_false',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'message' => '',
                        'default_value' => 0,
                        'ui' => 1,
                        'ui_on_text' => '',
                        'ui_off_text' => '',
                    ),
                    array(
                        'key' => 'field_5e374311a278f',
                        'label' => 'Item',
                        'name' => 'item',
                        'type' => 'repeater',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'collapsed' => 'field_5e3743aaac0ca',
                        'min' => 0,
                        'max' => 0,
                        'layout' => 'block',
                        'button_label' => '',
                        'sub_fields' => array(
                            array(
                                'key' => 'field_5e374311b601e',
                                'label' => 'Clone Item',
                                'name' => 'clone_item',
                                'type' => 'clone',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'clone' => array(
                                    0 => 'field_5e2df3b0810ba',
                                    1 => 'field_5e344fdddf05c',
                                ),
                                'display' => 'seamless',
                                'layout' => 'block',
                                'prefix_label' => 0,
                                'prefix_name' => 0,
                            ),
                            array(
                                'key' => 'field_5e3743aaac0ca',
                                'label' => 'Name',
                                'name' => 'title',
                                'type' => 'text',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'maxlength' => '',
                            ),
                            array(
                                'key' => 'field_5e3743bcac0cb',
                                'label' => 'Position',
                                'name' => 'title_cover',
                                'type' => 'text',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'maxlength' => '',
                            ),
                        ),
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/dsnclient',
                        ),
                    ),
                ),
                'menu_order' => 5,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e380de194ea6',
                'title' => 'Block Experience',
                'fields' => array(
                    array(
                        'key' => 'field_5e380de1a7c57',
                        'label' => 'Content',
                        'name' => '',
                        'type' => 'accordion',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'open' => 1,
                        'multi_expand' => 0,
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5e380de1a8410',
                        'label' => 'Content Service',
                        'name' => 'content_service',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5e2df3b0810ba',
                            1 => 'field_5e2f2047493b0',
                            2 => 'field_5e344ee7df05a',
                            3 => 'field_5e344fdddf05c',
                            4 => 'field_5e34501adf05d',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                    array(
                        'key' => 'field_5e380de1a8bb9',
                        'label' => 'Item',
                        'name' => 'item',
                        'type' => 'group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'layout' => 'block',
                        'sub_fields' => array(
                            array(
                                'key' => 'field_5e380e7990043',
                                'label' => 'Clone',
                                'name' => 'clone',
                                'type' => 'clone',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'clone' => array(
                                    0 => 'field_5e380ceedc535',
                                    1 => 'field_5e3743bcac0cb',
                                    2 => 'field_5e380d0bdc536',
                                    3 => 'field_5e380fba9db00',
                                    4 => 'field_5e344fdddf05c',
                                    5 => 'field_5e34501adf05d',
                                ),
                                'display' => 'seamless',
                                'layout' => 'block',
                                'prefix_label' => 0,
                                'prefix_name' => 0,
                            ),
                        ),
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/dsn-experience',
                        ),
                    ),
                ),
                'menu_order' => 5,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e36e385df811',
                'title' => 'Block Image With Box Description',
                'fields' => array(
                    array(
                        'key' => 'field_5e36e385f2c5c',
                        'label' => 'Content',
                        'name' => '',
                        'type' => 'accordion',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'open' => 1,
                        'multi_expand' => 0,
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5e36e3860275a',
                        'label' => 'Content Image With Box Description',
                        'name' => 'content_image_with_box_description',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5e36e4c9cfd15',
                            1 => 'field_5e2df65f27a3d',
                            2 => 'field_5e2df3b0810ba',
                            3 => 'field_5e2df70b27a3e',
                            4 => 'field_5e2f2047493b0',
                            5 => 'field_5e344ec0df059',
                            6 => 'field_5e344ee7df05a',
                            7 => 'field_5e344f66df05b',
                            8 => 'field_5e344fdddf05c',
                            9 => 'field_5e34501adf05d',
                            10 => 'field_5e34505f5ba01',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/parallaximagewithbox',
                        ),
                    ),
                ),
                'menu_order' => 5,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e3317990a895',
                'title' => 'Block Introduction',
                'fields' => array(
                    array(
                        'key' => 'field_5e3317991bc7f',
                        'label' => 'Content',
                        'name' => '',
                        'type' => 'accordion',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'open' => 1,
                        'multi_expand' => 0,
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5e3317991c059',
                        'label' => 'Content Introduction',
                        'name' => 'content_introduction',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5e344ec0df059',
                            1 => 'field_5e344ee7df05a',
                            2 => 'field_5e344f66df05b',
                            3 => 'field_5e344fdddf05c',
                            4 => 'field_5e34501adf05d',
                            5 => 'field_5e34505f5ba01',
                            6 => 'field_5e3450c2dde76',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/dsn-intro',
                        ),
                    ),
                ),
                'menu_order' => 5,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e36c6fce1099',
                'title' => 'Block Justified Gallery',
                'fields' => array(
                    array(
                        'key' => 'field_5e36c6fcf2367',
                        'label' => 'Content',
                        'name' => '',
                        'type' => 'accordion',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'open' => 1,
                        'multi_expand' => 0,
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5e36c6fd02f6b',
                        'label' => 'Content Gallery',
                        'name' => 'content_gallery',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5e2f2047493b0',
                            1 => 'field_5e36c79533573',
                            2 => 'field_5e36c52ce7b34',
                            3 => 'field_5e2df315810b9',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/dsngallery',
                        ),
                    ),
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/dsnboxgallery',
                        ),
                    ),
                ),
                'menu_order' => 5,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e34825620756',
                'title' => 'Block Paragraph',
                'fields' => array(
                    array(
                        'key' => 'field_5e3482562f65e',
                        'label' => 'Content',
                        'name' => '',
                        'type' => 'accordion',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'open' => 1,
                        'multi_expand' => 0,
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5e3482562fa6d',
                        'label' => 'Content Paragraph',
                        'name' => 'content_paragraph',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5e344ec0df059',
                            1 => 'field_5e344ee7df05a',
                            2 => 'field_5e344f66df05b',
                            3 => 'field_5e344fdddf05c',
                            4 => 'field_5e34501adf05d',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/dsn-paragraph',
                        ),
                    ),
                ),
                'menu_order' => 5,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e2f2ed8140a6',
                'title' => 'Block Parallax Image',
                'fields' => array(
                    array(
                        'key' => 'field_5e2f2ee4c84e1',
                        'label' => 'Content',
                        'name' => '',
                        'type' => 'accordion',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'open' => 1,
                        'multi_expand' => 0,
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5e2f2efcc84e2',
                        'label' => 'Content Image',
                        'name' => 'content_image',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5e2df65f27a3d',
                            1 => 'field_5e2df3b0810ba',
                            2 => 'field_5e2df70b27a3e',
                            3 => 'field_5e2f2047493b0',
                            4 => 'field_5e2f26315e422',
                            5 => 'field_5e2f26ec5e423',
                            6 => 'field_5e358bf862a1a',
                            7 => 'field_5e358c5b62a1c',
                            8 => 'field_5e358c0562a1b',
                            9 => 'field_5e358c7262a1d',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/parallaximage',
                        ),
                    ),
                ),
                'menu_order' => 5,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e35988e6e33b',
                'title' => 'Block Parallax Video',
                'fields' => array(
                    array(
                        'key' => 'field_5e35988e802b4',
                        'label' => 'Content',
                        'name' => '',
                        'type' => 'accordion',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'open' => 1,
                        'multi_expand' => 0,
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5e35988e83fce',
                        'label' => 'Content Video',
                        'name' => 'content_video',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5e2df65f27a3d',
                            1 => 'field_5e2df3b0810ba',
                            2 => 'field_5e2df70b27a3e',
                            3 => 'field_5e2f2047493b0',
                            4 => 'field_5e2f26315e422',
                            5 => 'field_5e2f26ec5e423',
                            6 => 'field_5e358bf862a1a',
                            7 => 'field_5e358c5b62a1c',
                            8 => 'field_5e358c0562a1b',
                            9 => 'field_5e358c7262a1d',
                            10 => 'field_5e3450735ba02',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/embeddedvideo',
                        ),
                    ),
                ),
                'menu_order' => 5,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e36efc3bf3cd',
                'title' => 'Block Service',
                'fields' => array(
                    array(
                        'key' => 'field_5e36efc3d3d83',
                        'label' => 'Content',
                        'name' => '',
                        'type' => 'accordion',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'open' => 1,
                        'multi_expand' => 0,
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5e36efc3d7a67',
                        'label' => 'Content Service',
                        'name' => 'content_service',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5e3817d3dc75c',
                            1 => 'field_5e344ee7df05a',
                            2 => 'field_5e344f66df05b',
                            3 => 'field_5e3818e9748aa',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                    array(
                        'key' => 'field_5eab399eff99c',
                        'label' => 'number service Columns',
                        'name' => 'number_columns',
                        'type' => 'number',
                        'instructions' => 'how to get a number service columns starting at tablets and scaling to large desktops .',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => 3,
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'min' => 1,
                        'max' => 12,
                        'step' => '',
                    ),
                    array(
                        'key' => 'field_5e36f027830e6',
                        'label' => 'Item',
                        'name' => 'item',
                        'type' => 'repeater',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'collapsed' => 'field_5e36f154fb89c',
                        'min' => 0,
                        'max' => 0,
                        'layout' => 'block',
                        'button_label' => '',
                        'sub_fields' => array(
                            array(
                                'key' => 'field_5e36f154fb89c',
                                'label' => 'Clone Item',
                                'name' => 'clone_item',
                                'type' => 'clone',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'clone' => array(
                                    0 => 'field_5e2df3b0810ba',
                                    1 => 'field_5e344ee7df05a',
                                    2 => 'field_5e344f66df05b',
                                    3 => 'field_5e344fdddf05c',
                                    4 => 'field_5e34501adf05d',
                                ),
                                'display' => 'seamless',
                                'layout' => 'block',
                                'prefix_label' => 0,
                                'prefix_name' => 0,
                            ),
                        ),
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/dsn-service',
                        ),
                    ),
                ),
                'menu_order' => 5,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e35dbe842aa0',
                'title' => 'Block Slider',
                'fields' => array(
                    array(
                        'key' => 'field_5e35dbe856e09',
                        'label' => 'Content',
                        'name' => '',
                        'type' => 'accordion',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'open' => 1,
                        'multi_expand' => 0,
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5e35dbe85ab16',
                        'label' => 'Content Slider',
                        'name' => 'content_image',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5e2f2047493b0',
                            1 => 'field_5e36c52ce7b34',
                            2 => 'field_5e2df315810b9',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/dsnslider',
                        ),
                    ),
                ),
                'menu_order' => 5,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e381e5d0a7d2',
                'title' => 'Block Team',
                'fields' => array(
                    array(
                        'key' => 'field_5e381e5d248de',
                        'label' => 'Content',
                        'name' => '',
                        'type' => 'accordion',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'open' => 1,
                        'multi_expand' => 0,
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5e381e5d24ccb',
                        'label' => 'Content Team',
                        'name' => 'content_service',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5e3817d3dc75c',
                            1 => 'field_5e344ee7df05a',
                            2 => 'field_5e344f66df05b',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                    array(
                        'key' => 'field_5e381e5d250aa',
                        'label' => 'Item',
                        'name' => 'item',
                        'type' => 'repeater',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'collapsed' => 'field_5e36f154fb89c',
                        'min' => 0,
                        'max' => 0,
                        'layout' => 'block',
                        'button_label' => '',
                        'sub_fields' => array(
                            array(
                                'key' => 'field_5e381e5d51126',
                                'label' => 'Clone Item',
                                'name' => 'clone_item',
                                'type' => 'clone',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'clone' => array(
                                    0 => 'field_5e2df3b0810ba',
                                    1 => 'field_5e380ceedc535',
                                    2 => 'field_5e380ed03cd33',
                                ),
                                'display' => 'seamless',
                                'layout' => 'block',
                                'prefix_label' => 0,
                                'prefix_name' => 0,
                            ),
                        ),
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/dsnteam',
                        ),
                    ),
                ),
                'menu_order' => 5,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e35c24b9b1a0',
                'title' => 'Block Vertical Box With Image',
                'fields' => array(
                    array(
                        'key' => 'field_5e35c24bb4435',
                        'label' => 'Content',
                        'name' => '',
                        'type' => 'accordion',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'open' => 1,
                        'multi_expand' => 0,
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5e35c24bb8162',
                        'label' => 'Content Vertical',
                        'name' => 'content_image',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5e35c27be45ab',
                            1 => 'field_5e2df65f27a3d',
                            2 => 'field_5ebdc8b5072f3',
                            3 => 'field_5e2df70b27a3e',
                            4 => 'field_5e2f2047493b0',
                            5 => 'field_5e344ec0df059',
                            6 => 'field_5e344ee7df05a',
                            7 => 'field_5e344f66df05b',
                            8 => 'field_5e35c212e27bc',
                            9 => 'field_5e344fdddf05c',
                            10 => 'field_5e34501adf05d',
                            11 => 'field_5e34505f5ba01',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/boxvertical',
                        ),
                    ),
                ),
                'menu_order' => 5,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e4b2e057038c',
                'title' => 'Contact Form',
                'fields' => array(
                    array(
                        'key' => 'field_5e4b2e0587922',
                        'label' => 'Content',
                        'name' => '',
                        'type' => 'accordion',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'open' => 1,
                        'multi_expand' => 0,
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5e4b3803dbf18',
                        'label' => 'Title Form',
                        'name' => 'show_caption',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_5e4b395bdbf19',
                        'label' => 'Choose Contact Form',
                        'name' => 'choose_contact_form',
                        'type' => 'post_object',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'post_type' => array(
                            0 => 'wpcf7_contact_form',
                        ),
                        'taxonomy' => '',
                        'allow_null' => 0,
                        'multiple' => 0,
                        'return_format' => 'object',
                        'ui' => 1,
                    ),
                    array(
                        'key' => 'field_5e4b2e058b657',
                        'label' => 'Content Form',
                        'name' => 'content_service',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5e3817d3dc75c',
                            1 => 'field_5e344ee7df05a',
                            2 => 'field_5e344f66df05b',
                            3 => 'field_5e344fdddf05c',
                            4 => 'field_5e34501adf05d',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                    array(
                        'key' => 'field_5e4b2e058f340',
                        'label' => 'Information Contact',
                        'name' => 'item',
                        'type' => 'group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'layout' => 'block',
                        'sub_fields' => array(
                            array(
                                'key' => 'field_5e4b2ee89cfa2',
                                'label' => 'Phone',
                                'name' => 'phone',
                                'type' => 'group',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'layout' => 'block',
                                'sub_fields' => array(
                                    array(
                                        'key' => 'field_5ebd4f397b4cc',
                                        'label' => 'Title Phone',
                                        'name' => 'title',
                                        'type' => 'text',
                                        'instructions' => '',
                                        'required' => 0,
                                        'conditional_logic' => 0,
                                        'wrapper' => array(
                                            'width' => '',
                                            'class' => '',
                                            'id' => '',
                                        ),
                                        'default_value' => '',
                                        'placeholder' => '',
                                        'prepend' => '',
                                        'append' => '',
                                        'maxlength' => '',
                                    ),
                                    array(
                                        'key' => 'field_5ebd4f637b4cd',
                                        'label' => 'Title Animate Phone',
                                        'name' => 'title_animate',
                                        'type' => 'button_group',
                                        'instructions' => '',
                                        'required' => 0,
                                        'conditional_logic' => array(
                                            array(
                                                array(
                                                    'field' => 'field_5ebd4f397b4cc',
                                                    'operator' => '!=empty',
                                                ),
                                            ),
                                        ),
                                        'wrapper' => array(
                                            'width' => '',
                                            'class' => '',
                                            'id' => '',
                                        ),
                                        'choices' => array(
                                            'text' => 'Show Letter',
                                            'up' => 'Fade Up',
                                        ),
                                        'allow_null' => 0,
                                        'default_value' => '',
                                        'layout' => '',
                                        'return_format' => '',
                                    ),
                                    array(
                                        'key' => 'field_5ebd4fa57b4ce',
                                        'label' => 'Description phone',
                                        'name' => 'description',
                                        'type' => 'textarea',
                                        'instructions' => '',
                                        'required' => 0,
                                        'conditional_logic' => 0,
                                        'wrapper' => array(
                                            'width' => '',
                                            'class' => '',
                                            'id' => '',
                                        ),
                                        'default_value' => '',
                                        'placeholder' => '',
                                        'maxlength' => '',
                                        'rows' => 4,
                                        'new_lines' => '',
                                    ),
                                    array(
                                        'key' => 'field_5ebd4fd57b4cf',
                                        'label' => 'Animate Phone Description',
                                        'name' => 'description_animate',
                                        'type' => 'button_group',
                                        'instructions' => '',
                                        'required' => 0,
                                        'conditional_logic' => array(
                                            array(
                                                array(
                                                    'field' => 'field_5ebd4fa57b4ce',
                                                    'operator' => '!=empty',
                                                ),
                                            ),
                                        ),
                                        'wrapper' => array(
                                            'width' => '',
                                            'class' => '',
                                            'id' => '',
                                        ),
                                        'choices' => array(
                                            'text' => 'Show Letter',
                                            'up' => 'Fade Up',
                                        ),
                                        'allow_null' => 0,
                                        'default_value' => '',
                                        'layout' => '',
                                        'return_format' => '',
                                    ),
                                ),
                            ),
                            array(
                                'key' => 'field_5ebd532569441',
                                'label' => 'E-mail',
                                'name' => 'e-mail',
                                'type' => 'group',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'layout' => 'block',
                                'sub_fields' => array(
                                    array(
                                        'key' => 'field_5ebd532569442',
                                        'label' => 'Title E-mail',
                                        'name' => 'title',
                                        'type' => 'text',
                                        'instructions' => '',
                                        'required' => 0,
                                        'conditional_logic' => 0,
                                        'wrapper' => array(
                                            'width' => '',
                                            'class' => '',
                                            'id' => '',
                                        ),
                                        'default_value' => '',
                                        'placeholder' => '',
                                        'prepend' => '',
                                        'append' => '',
                                        'maxlength' => '',
                                    ),
                                    array(
                                        'key' => 'field_5ebd532569443',
                                        'label' => 'Title Animate E-mail',
                                        'name' => 'title_animate',
                                        'type' => 'button_group',
                                        'instructions' => '',
                                        'required' => 0,
                                        'conditional_logic' => array(
                                            array(
                                                array(
                                                    'field' => 'field_5ebd532569442',
                                                    'operator' => '!=empty',
                                                ),
                                            ),
                                        ),
                                        'wrapper' => array(
                                            'width' => '',
                                            'class' => '',
                                            'id' => '',
                                        ),
                                        'choices' => array(
                                            'text' => 'Show Letter',
                                            'up' => 'Fade Up',
                                        ),
                                        'allow_null' => 0,
                                        'default_value' => '',
                                        'layout' => '',
                                        'return_format' => '',
                                    ),
                                    array(
                                        'key' => 'field_5ebd532569444',
                                        'label' => 'Description E-mail',
                                        'name' => 'description',
                                        'type' => 'textarea',
                                        'instructions' => '',
                                        'required' => 0,
                                        'conditional_logic' => 0,
                                        'wrapper' => array(
                                            'width' => '',
                                            'class' => '',
                                            'id' => '',
                                        ),
                                        'default_value' => '',
                                        'placeholder' => '',
                                        'maxlength' => '',
                                        'rows' => 4,
                                        'new_lines' => '',
                                    ),
                                    array(
                                        'key' => 'field_5ebd532569445',
                                        'label' => 'Animate E-mail Description',
                                        'name' => 'description_animate',
                                        'type' => 'button_group',
                                        'instructions' => '',
                                        'required' => 0,
                                        'conditional_logic' => array(
                                            array(
                                                array(
                                                    'field' => 'field_5ebd532569444',
                                                    'operator' => '!=empty',
                                                ),
                                            ),
                                        ),
                                        'wrapper' => array(
                                            'width' => '',
                                            'class' => '',
                                            'id' => '',
                                        ),
                                        'choices' => array(
                                            'text' => 'Show Letter',
                                            'up' => 'Fade Up',
                                        ),
                                        'allow_null' => 0,
                                        'default_value' => '',
                                        'layout' => '',
                                        'return_format' => '',
                                    ),
                                ),
                            ),
                            array(
                                'key' => 'field_5ebd537e69447',
                                'label' => 'Address',
                                'name' => 'address',
                                'type' => 'group',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'layout' => 'block',
                                'sub_fields' => array(
                                    array(
                                        'key' => 'field_5ebd537e69448',
                                        'label' => 'Title Address',
                                        'name' => 'title',
                                        'type' => 'text',
                                        'instructions' => '',
                                        'required' => 0,
                                        'conditional_logic' => 0,
                                        'wrapper' => array(
                                            'width' => '',
                                            'class' => '',
                                            'id' => '',
                                        ),
                                        'default_value' => '',
                                        'placeholder' => '',
                                        'prepend' => '',
                                        'append' => '',
                                        'maxlength' => '',
                                    ),
                                    array(
                                        'key' => 'field_5ebd537e69449',
                                        'label' => 'Title Animate Address',
                                        'name' => 'title_animate',
                                        'type' => 'button_group',
                                        'instructions' => '',
                                        'required' => 0,
                                        'conditional_logic' => array(
                                            array(
                                                array(
                                                    'field' => 'field_5ebd537e69448',
                                                    'operator' => '!=empty',
                                                ),
                                            ),
                                        ),
                                        'wrapper' => array(
                                            'width' => '',
                                            'class' => '',
                                            'id' => '',
                                        ),
                                        'choices' => array(
                                            'text' => 'Show Letter',
                                            'up' => 'Fade Up',
                                        ),
                                        'allow_null' => 0,
                                        'default_value' => '',
                                        'layout' => 'horizontal',
                                        'return_format' => 'value',
                                    ),
                                    array(
                                        'key' => 'field_5ebd537e6944a',
                                        'label' => 'Description Address',
                                        'name' => 'description',
                                        'type' => 'textarea',
                                        'instructions' => '',
                                        'required' => 0,
                                        'conditional_logic' => 0,
                                        'wrapper' => array(
                                            'width' => '',
                                            'class' => '',
                                            'id' => '',
                                        ),
                                        'default_value' => '',
                                        'placeholder' => '',
                                        'maxlength' => '',
                                        'rows' => 4,
                                        'new_lines' => '',
                                    ),
                                    array(
                                        'key' => 'field_5ebd537e6944b',
                                        'label' => 'Animate Address Description',
                                        'name' => 'description_animate',
                                        'type' => 'button_group',
                                        'instructions' => '',
                                        'required' => 0,
                                        'conditional_logic' => array(
                                            array(
                                                array(
                                                    'field' => 'field_5ebd537e6944a',
                                                    'operator' => '!=empty',
                                                ),
                                            ),
                                        ),
                                        'wrapper' => array(
                                            'width' => '',
                                            'class' => '',
                                            'id' => '',
                                        ),
                                        'choices' => array(
                                            'text' => 'Show Letter',
                                            'up' => 'Fade Up',
                                        ),
                                        'allow_null' => 0,
                                        'default_value' => '',
                                        'layout' => 'horizontal',
                                        'return_format' => 'value',
                                    ),
                                ),
                            ),
                        ),
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/dsn-contact',
                        ),
                    ),
                ),
                'menu_order' => 5,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5ebd5511d6592',
                'title' => 'Contact Form Element',
                'fields' => array(
                    array(
                        'key' => 'field_5ebd5511ed19a',
                        'label' => 'Content',
                        'name' => '',
                        'type' => 'accordion',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'open' => 1,
                        'multi_expand' => 0,
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5ebd5511f0ea1',
                        'label' => 'Title Form',
                        'name' => 'show_caption',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array(
                        'key' => 'field_5ebd551201f4c',
                        'label' => 'Choose Contact Form',
                        'name' => 'choose_contact_form',
                        'type' => 'post_object',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'post_type' => array(
                            0 => 'wpcf7_contact_form',
                        ),
                        'taxonomy' => '',
                        'allow_null' => 0,
                        'multiple' => 0,
                        'return_format' => 'object',
                        'ui' => 1,
                    ),
                    array(
                        'key' => 'field_5ebd551205c5a',
                        'label' => 'Content Form',
                        'name' => 'content_service',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5e3817d3dc75c',
                            1 => 'field_5e344ee7df05a',
                            2 => 'field_5e344f66df05b',
                            3 => 'field_5e344fdddf05c',
                            4 => 'field_5e34501adf05d',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                    array(
                        'key' => 'field_5ebd55121a5e8',
                        'label' => 'Phone',
                        'name' => 'phone',
                        'type' => 'group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'layout' => 'block',
                        'sub_fields' => array(
                            array(
                                'key' => 'field_5ebd551225cee',
                                'label' => 'Title Phone',
                                'name' => 'title',
                                'type' => 'text',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'maxlength' => '',
                            ),
                            array(
                                'key' => 'field_5ebd5512299ff',
                                'label' => 'Title Animate Phone',
                                'name' => 'title_animate',
                                'type' => 'button_group',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array(
                                    array(
                                        array(
                                            'field' => 'field_5ebd551225cee',
                                            'operator' => '!=empty',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array(
                                    'text' => 'Show Letter',
                                    'up' => 'Fade Up',
                                ),
                                'allow_null' => 0,
                                'default_value' => '',
                                'layout' => '',
                                'return_format' => '',
                            ),
                            array(
                                'key' => 'field_5ebd55122d70c',
                                'label' => 'Description phone',
                                'name' => 'description',
                                'type' => 'textarea',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'placeholder' => '',
                                'maxlength' => '',
                                'rows' => 4,
                                'new_lines' => '',
                            ),
                            array(
                                'key' => 'field_5ebd551232dc9',
                                'label' => 'Animate Phone Description',
                                'name' => 'description_animate',
                                'type' => 'button_group',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array(
                                    array(
                                        array(
                                            'field' => 'field_5ebd55122d70c',
                                            'operator' => '!=empty',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array(
                                    'text' => 'Show Letter',
                                    'up' => 'Fade Up',
                                ),
                                'allow_null' => 0,
                                'default_value' => '',
                                'layout' => '',
                                'return_format' => '',
                            ),
                        ),
                    ),
                    array(
                        'key' => 'field_5ebd55123e1cc',
                        'label' => 'E-mail',
                        'name' => 'e-mail',
                        'type' => 'group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'layout' => 'block',
                        'sub_fields' => array(
                            array(
                                'key' => 'field_5ebd55124219b',
                                'label' => 'Title E-mail',
                                'name' => 'title',
                                'type' => 'text',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'maxlength' => '',
                            ),
                            array(
                                'key' => 'field_5ebd551245ea3',
                                'label' => 'Title Animate E-mail',
                                'name' => 'title_animate',
                                'type' => 'button_group',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array(
                                    array(
                                        array(
                                            'field' => 'field_5ebd55124219b',
                                            'operator' => '!=empty',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array(
                                    'text' => 'Show Letter',
                                    'up' => 'Fade Up',
                                ),
                                'allow_null' => 0,
                                'default_value' => '',
                                'layout' => '',
                                'return_format' => '',
                            ),
                            array(
                                'key' => 'field_5ebd55124b524',
                                'label' => 'Description E-mail',
                                'name' => 'description',
                                'type' => 'textarea',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'placeholder' => '',
                                'maxlength' => '',
                                'rows' => 4,
                                'new_lines' => '',
                            ),
                            array(
                                'key' => 'field_5ebd55124f26d',
                                'label' => 'Animate E-mail Description',
                                'name' => 'description_animate',
                                'type' => 'button_group',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array(
                                    array(
                                        array(
                                            'field' => 'field_5ebd55124b524',
                                            'operator' => '!=empty',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array(
                                    'text' => 'Show Letter',
                                    'up' => 'Fade Up',
                                ),
                                'allow_null' => 0,
                                'default_value' => '',
                                'layout' => '',
                                'return_format' => '',
                            ),
                        ),
                    ),
                    array(
                        'key' => 'field_5ebd55125a7f6',
                        'label' => 'Address',
                        'name' => 'address',
                        'type' => 'group',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'layout' => 'block',
                        'sub_fields' => array(
                            array(
                                'key' => 'field_5ebd55125e653',
                                'label' => 'Title Address',
                                'name' => 'title',
                                'type' => 'text',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'maxlength' => '',
                            ),
                            array(
                                'key' => 'field_5ebd551263cf2',
                                'label' => 'Title Animate Address',
                                'name' => 'title_animate',
                                'type' => 'button_group',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array(
                                    array(
                                        array(
                                            'field' => 'field_5ebd55125e653',
                                            'operator' => '!=empty',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array(
                                    'text' => 'Show Letter',
                                    'up' => 'Fade Up',
                                ),
                                'allow_null' => 0,
                                'default_value' => '',
                                'layout' => 'horizontal',
                                'return_format' => 'value',
                            ),
                            array(
                                'key' => 'field_5ebd551267aa4',
                                'label' => 'Description Address',
                                'name' => 'description',
                                'type' => 'textarea',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'default_value' => '',
                                'placeholder' => '',
                                'maxlength' => '',
                                'rows' => 4,
                                'new_lines' => '',
                            ),
                            array(
                                'key' => 'field_5ebd55126b721',
                                'label' => 'Animate Address Description',
                                'name' => 'description_animate',
                                'type' => 'button_group',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => array(
                                    array(
                                        array(
                                            'field' => 'field_5ebd551267aa4',
                                            'operator' => '!=empty',
                                        ),
                                    ),
                                ),
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'choices' => array(
                                    'text' => 'Show Letter',
                                    'up' => 'Fade Up',
                                ),
                                'allow_null' => 0,
                                'default_value' => '',
                                'layout' => 'horizontal',
                                'return_format' => 'value',
                            ),
                        ),
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '!=',
                            'value' => 'all',
                        ),
                    ),
                ),
                'menu_order' => 5,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => false,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e468b4110d87',
                'title' => 'Featured Posts',
                'fields' => array(
                    array(
                        'key' => 'field_5e468b4125978',
                        'label' => 'Content',
                        'name' => '',
                        'type' => 'accordion',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'open' => 1,
                        'multi_expand' => 0,
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5e468b412967e',
                        'label' => 'Content Service',
                        'name' => 'content_service',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5e3817d3dc75c',
                            1 => 'field_5e344ee7df05a',
                            2 => 'field_5e344f66df05b',
                            3 => 'field_5e4690169f39c',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                    array(
                        'key' => 'field_5e8a31c3c89a9',
                        'label' => 'Choose Post Type',
                        'name' => 'choose_post_type',
                        'type' => 'radio',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'choices' => array(
                            'post' => 'Posts',
                            'droow-portfolio' => 'Droow Portfolio',
                            'custom' => 'Custom',
                        ),
                        'allow_null' => 0,
                        'other_choice' => 0,
                        'default_value' => 'custom',
                        'layout' => 'vertical',
                        'return_format' => 'value',
                        'save_other_choice' => 0,
                    ),
                    array(
                        'key' => 'field_5e8a402afa8e9',
                        'label' => 'Number of posts to show',
                        'name' => 'number_of_posts',
                        'type' => 'number',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5e8a31c3c89a9',
                                    'operator' => '!=',
                                    'value' => 'custom',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => 4,
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'min' => 4,
                        'max' => '',
                        'step' => 1,
                    ),
                    array(
                        'key' => 'field_5e468b412d3a4',
                        'label' => 'Choose Post',
                        'name' => 'item',
                        'type' => 'repeater',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => array(
                            array(
                                array(
                                    'field' => 'field_5e8a31c3c89a9',
                                    'operator' => '==',
                                    'value' => 'custom',
                                ),
                            ),
                        ),
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'collapsed' => 'field_5e46ced7ead9c',
                        'min' => 0,
                        'max' => 0,
                        'layout' => 'block',
                        'button_label' => '',
                        'sub_fields' => array(
                            array(
                                'key' => 'field_5e46ced7ead9c',
                                'label' => 'Post',
                                'name' => 'link_post',
                                'type' => 'post_object',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'post_type' => array(
                                    0 => 'droow-portfolio',
                                    1 => 'post',
                                ),
                                'taxonomy' => '',
                                'allow_null' => 0,
                                'multiple' => 0,
                                'return_format' => 'id',
                                'ui' => 1,
                            ),
                            array(
                                'key' => 'field_5e468b4138a80',
                                'label' => 'Clone Item',
                                'name' => 'clone_item',
                                'type' => 'clone',
                                'instructions' => '',
                                'required' => 0,
                                'conditional_logic' => 0,
                                'wrapper' => array(
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ),
                                'clone' => array(
                                    0 => 'field_5e2df3b0810ba',
                                    1 => 'field_5e3817d3dc75c',
                                    2 => 'field_5e344ee7df05a',
                                    3 => 'field_5e344fdddf05c',
                                    4 => 'field_5e2df70b27a3e',
                                ),
                                'display' => 'seamless',
                                'layout' => 'block',
                                'prefix_label' => 0,
                                'prefix_name' => 0,
                            ),
                        ),
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/dsn-featured-posts',
                        ),
                    ),
                ),
                'menu_order' => 5,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e3313c7bb9a0',
                'title' => 'Block Motion Effects',
                'fields' => array(
                    array(
                        'key' => 'field_5e3313c7cdb6c',
                        'label' => 'Motion Effects',
                        'name' => '',
                        'type' => 'accordion',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'open' => 0,
                        'multi_expand' => 0,
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5e3313c7cdf61',
                        'label' => 'Clone Motion Effects',
                        'name' => 'clone_motion_effects',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5e2df16f429d5',
                            1 => 'field_5e2df235429d6',
                            2 => 'field_5e2df40ebb5f3',
                            3 => 'field_5e2df507173ec',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/parallaximage',
                        ),
                    ),
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/embeddedvideo',
                        ),
                    ),
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/parallaximagewithbox',
                        ),
                    ),
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/boxvertical',
                        ),
                    ),
                ),
                'menu_order' => 9,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e3314e52afd8',
                'title' => 'Block Style',
                'fields' => array(
                    array(
                        'key' => 'field_5e3314e53b562',
                        'label' => 'Style',
                        'name' => '',
                        'type' => 'accordion',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'open' => 0,
                        'multi_expand' => 0,
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5e3314e53b945',
                        'label' => 'Clone Style',
                        'name' => 'clone_style',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5e2df82664406',
                            1 => 'field_5e2df7fc64405',
                            2 => 'field_5e2df7dd2e7ff',
                            3 => 'field_5e2df7eb2e800',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/parallaximage',
                        ),
                    ),
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/embeddedvideo',
                        ),
                    ),
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/boxvertical',
                        ),
                    ),
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'acf/parallaximagewithbox',
                        ),
                    ),
                ),
                'menu_order' => 10,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

            acf_add_local_field_group(array(
                'key' => 'group_5e33163f500e2',
                'title' => 'Block Section Color',
                'fields' => array(
                    array(
                        'key' => 'field_5e3f07b8e8155',
                        'label' => 'Style Layout',
                        'name' => '',
                        'type' => 'accordion',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'open' => 0,
                        'multi_expand' => 0,
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5e3f07cde8156',
                        'label' => 'Clone Style Layout',
                        'name' => 'clone_style_layout',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5e4e885e889e5',
                            1 => 'field_5e4e96e61438b',
                            2 => 'field_5e2f273dbe0c3',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                    array(
                        'key' => 'field_5e33163f612ba',
                        'label' => 'Color Effects',
                        'name' => '',
                        'type' => 'accordion',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'open' => 0,
                        'multi_expand' => 0,
                        'endpoint' => 0,
                    ),
                    array(
                        'key' => 'field_5e33163f616c3',
                        'label' => 'Clone Color Effect',
                        'name' => 'clone_color_effect',
                        'type' => 'clone',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'clone' => array(
                            0 => 'field_5e2df9ecdd8ff',
                            1 => 'field_5e30b653cbb63',
                        ),
                        'display' => 'seamless',
                        'layout' => 'block',
                        'prefix_label' => 0,
                        'prefix_name' => 0,
                    ),
                ),
                'location' => array(
                    array(
                        array(
                            'param' => 'block',
                            'operator' => '==',
                            'value' => 'all',
                        ),
                    ),
                ),
                'menu_order' => 11,
                'position' => 'normal',
                'style' => 'default',
                'label_placement' => 'top',
                'instruction_placement' => 'label',
                'hide_on_screen' => '',
                'active' => true,
                'description' => '',
            ));

        endif;
    } );

endif;

